package com.unis.dev.modular.job.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.policy.info.modular.sqrEnterpriseApply.service.SqrEnterpriseApplyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class sqrEnterpriseUpdateStatus implements CommonTimerTaskRunner {

    @Resource
    private SqrEnterpriseApplyService sqrEnterpriseApplyService;
    @Override
    public void action() {


        log.info("------------检查承储企业资格是否失效定时任务开始执行------------");
        sqrEnterpriseApplyService.updateStatus();
        return;
    }
}
